RESTinio

Public Types | Static Public Member Functions | List of all members
restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > > Struct Template Reference

`#include <easy_parser.hpp>`

## Public Types
using | result_type = std::vector< T, Args... >
using | value_type = typename result_type::value_type
using | wrapped_type = result_type

## Static Public Member Functions
static void | as_result (wrapped_type &to, result_type &&what)
static void | to_container (wrapped_type &to, value_type &&what)
static RESTINIO_NODISCARD result_type && | unwrap_value (wrapped_type &v)

## Detailed Description

template<typename T, typename... Args>
struct restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >

Definition at line 253 of file easy_parser.hpp.

## Member Typedef Documentation

## ◆ result_type

template<typename T , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::result_type = std::vector< T, Args... >

Definition at line 255 of file easy_parser.hpp.

## ◆ value_type

template<typename T , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::value_type = typename result_type::value_type

Definition at line 256 of file easy_parser.hpp.

## ◆ wrapped_type

template<typename T , typename... Args>

using restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::wrapped_type = result_type

Definition at line 257 of file easy_parser.hpp.

## Member Function Documentation

## ◆ as_result()

template<typename T , typename... Args>

static void restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::as_result | ( | wrapped_type & | to,
|  | result_type && | what
| ) |  |
| inline static

Definition at line 260 of file easy_parser.hpp.

## ◆ to_container()

template<typename T , typename... Args>

static void restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::to_container | ( | wrapped_type & | to,
|  | value_type && | what
| ) |  |
| inline static

Definition at line 266 of file easy_parser.hpp.

## ◆ unwrap_value()

template<typename T , typename... Args>

static RESTINIO_NODISCARD result_type && restinio::easy_parser::result_value_wrapper< std::vector< T, Args... > >::unwrap_value | ( | wrapped_type & | v | ) |
| inline static

Definition at line 273 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp